Computer Security
[EN] securityvulns.ru no-pyccku


PHP header() function memory corruption
Published:22.03.2007
Source:
SecurityVulns ID:7449
Type:library
Threat Level:
5/10
Description:Heap memory page coruption allows code execution on big endian systems.
Affected:PHP : PHP 5.2
CVE:CVE-2007-1584 (Buffer underflow in the header function in PHP 5.2.0 allows context-dependent attackers to execute arbitrary code by passing an all-whitespace string to this function, which causes it to write '\0' characters in whitespace that precedes the string.)
Original documentdocumentPHP-SECURITY, MOPB-25-2007:PHP header() Space Trimming Buffer Underflow Vulnerability (22.03.2007)
Files:PHP header() Space Trimming Buffer Underflow Vulnerability

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod